=== debian/changelog ===
ros-melodic-pal-statistics (1.4.1-1stretch) stretch; urgency=high

  * Update license on headers
    refs #5
  * Change License to MIT
    fixes #5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 10 Nov 2020 23:00:00 -0000

ros-melodic-pal-statistics (1.4.0-1stretch) stretch; urgency=high

  * Merge branch 'use-atomic-bool' into 'erbium-devel'
    Use atomic bool, because we need atomic operation
    See merge request qa/pal_statistics!18
  * Use atomic bool, because we need atomic operation
  * Contributors: Victor Lopez, victor

 -- victor <victor.lopez@pal-robotics.com>  Thu, 12 Mar 2020 23:00:00 -0000

ros-melodic-pal-statistics (1.3.1-1stretch) stretch; urgency=high

  * Fix shadow variable warning
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 27 Aug 2019 22:00:00 -0000

ros-melodic-pal-statistics (1.3.0-1stretch) stretch; urgency=high

  * Merge branch 'async-optimizations' into 'erbium-devel'
    Optimize async update when everything is enabled
    See merge request qa/pal_statistics!17
  * Smarter clear and resize of vectors when all enabled
  * Optimize async update when everything is enabled
  * Add LGPL3 version text
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 11 Aug 2019 22:00:00 -0000

ros-melodic-pal-statistics (1.2.1-1stretch) stretch; urgency=high

  * Fix stamp of full messages
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 17 Apr 2019 22:00:00 -0000

ros-melodic-pal-statistics (1.2.0-1stretch) stretch; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Update python api to new msgs
  * Rename full statistics topic
  * Add new messages
  * Change internal structure from vector of pairs to pair of vectors
  * Add missing add_dependencies
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 15 Apr 2019 22:00:00 -0000

ros-melodic-pal-statistics (1.1.1-1stretch) stretch; urgency=high

  * Merge branch 'correct-stamp' into 'erbium-devel'
    Correct stamp
    See merge request qa/pal_statistics!14
  * Add macros with variable argument count
  * Set time stamp from main thread
  * Fix maintainer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-melodic-pal-statistics (1.1.0-1stretch) stretch; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix spurious test failure when buffer was filled
    See merge request qa/pal_statistics!12
  * Fix spurious test failure when buffer was filled
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-pal-statistics (1.0.8-1stretch) stretch; urgency=high

  * Fix some issues with copyable object that shouldn't be
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.7-1stretch) stretch; urgency=high

  * Change Sleep to WallSleep
    When sim time stops being published. The thread can get stuck and never
    end.
  * Fix unitialized variable
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.6-1stretch) stretch; urgency=high

  * Merge branch 'improve-constness' into 'erbium-devel'
    Change namespace to pal_statistics and and const to double *
    Closes #5
    See merge request qa/pal_statistics!11
  * Add tests for registration modification between pubAsync and publishing
  * Change namespace to pal_statistics and and const to double *
    Fixes https://gitlab/qa/pal_statistics/issues/5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.5-1stretch) stretch; urgency=high

  * Fix bug when changing registrations and publsihing before a pubAsync
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.4-1stretch) stretch; urgency=high

  * Merge branch 'auto-start-thread' into 'erbium-devel'
    Auto start thread and use steady clock for time diff
    See merge request qa/pal_statistics!10
  * Auto start thread and use steady clock for time diff
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 22 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.3-1stretch) stretch; urgency=high

  * Merge branch 'add-extendable-registration' into 'erbium-devel'
    Add the option to customize registration
    See merge request qa/pal_statistics!9
  * Add the option to customize registration
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 22 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.2-1stretch) stretch; urgency=high

  * Increase sleep time to reduce cpu load
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 21 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.1-1stretch) stretch; urgency=high

  * Merge branch 'add-enable' into 'erbium-devel'
    Add enable
    See merge request qa/pal_statistics!8
  * Fix RT loss due to condition_variable, extend tests
  * Reenable stressAsync test
  * Fix publish() not publishing updated data
  * Add buffer to last_values_
  * Improve const-correctness of methods
  * Extend macroTest
  * Add unregister variable macro and use constexpr
  * Restructure mutex and other optimizations
  * Add debug metrics
  * Use boost variant in VariableHolder
  * Remove nodehandle from buffer test
  * Add enable/disable
  * Add debuginfo of messages lost and set buffer size to 10
  * Add message queue buffer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 21 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.0-1stretch) stretch; urgency=high


