=== debian/control ===
Source: ros-melodic-pal-statistics
Section: misc
Priority: optional
Maintainer: victor <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libboost-all-dev, ros-melodic-catkin, ros-melodic-pal-statistics-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-pal-statistics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-pal-statistics-msgs, ros-melodic-roscpp, ros-melodic-rospy
Description: The pal_statistics package
